
//  Created by Puran Singh on 6/6/12.
//  Copyright (c) 2012 32skills Inc. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "ImageDownloader.h"

typedef void (^AsyncImageBlock) (UIImage* fetchedImage);

@interface AsyncImageView : UIImageView

@property (nonatomic, assign) DownloadImageType mImageType;
@property (nonatomic, retain) NSObject * identifier;

- (id)initWithFrame:(CGRect)frame imageType:(DownloadImageType)imageType;

- (void) setImageWithURL:(NSURL *)imageURL onCompletion:(AsyncImageBlock)imageBlock;
- (void) setImageWithURL:(NSURL *)imageURL placeholderImage:(UIImage *)placeholder onCompletion:(AsyncImageBlock)imageBlock;

@end
