//
//  SflyPhoto.h
//
//  Created by Puran Singh on 5/10/12.
//  Copyright (c) 2012 Shutterfly Inc. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreLocation/CoreLocation.h>

typedef enum {
    IPHONE, 
    PHOTOSTREAM,
    FACEBOOK,
    DROPBOX,
    FAVORITES,
    INSTAGRAM
} PhotoSource;

@interface Photo : NSObject <NSCoding>
@property(nonatomic, strong) NSString           *mPhotoID;
@property(nonatomic, strong) NSString           *mPhotoTitle;
@property(nonatomic, assign) PhotoSource        mSource;
@property(nonatomic, strong) NSDate             *mCreatedDate;
@property(nonatomic, strong) NSURL              *mFullResImageURL;
@property(nonatomic, strong) NSURL              *mThumbnailImageURL;
@property(nonatomic, strong) CLLocation         *mLocation;

@end
