//
//  SflyPhotoAlbum.m
//
//  Created by Puran Singh on 5/10/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "PhotoAlbum.h"
#import "Photo.h"

@implementation PhotoAlbum

@synthesize mAlbumID;
@synthesize mAlbumName;
@synthesize mAlbumURL;
@synthesize mCreatedDate;
@synthesize mCoverPhoto;
@synthesize mCoverPhotoURL;
@synthesize mPhotos;
@synthesize mPhotoCount;
@synthesize mSource;

- (id)init
{
    if (self = [super init]){
        self.mPhotos = [NSMutableArray array];
    }
    return self;
}


- (id)initWithCoder:(NSCoder *)aDecoder {
    self = [self init];
    if(!self)
        return self;
    self.mAlbumID = [aDecoder decodeObjectForKey:@"albumID"];
    self.mAlbumName = [aDecoder decodeObjectForKey:@"albumName"];
    self.mAlbumURL = [aDecoder decodeObjectForKey:@"albumURL"];
    self.mCreatedDate = [aDecoder decodeObjectForKey:@"createdDate"];
    self.mCoverPhoto = [aDecoder decodeObjectForKey:@"coverPhoto"];
    self.mCoverPhotoURL = [aDecoder decodeObjectForKey:@"coverPhotoURL"];
    self.mPhotos = [aDecoder decodeObjectForKey:@"photos"];
    self.mPhotoCount = [[aDecoder decodeObjectForKey:@"photoCount"] integerValue];
    self.mSource = [[aDecoder decodeObjectForKey:@"source"] intValue];
    
    return self;
}

- (void)encodeWithCoder:(NSCoder *)aCoder {
    
    [aCoder encodeObject:self.mAlbumID forKey:@"albumID"];
    [aCoder encodeObject:self.mAlbumName  forKey:@"albumName"];
    [aCoder encodeObject:self.mAlbumURL forKey:@"albumURL"];
    [aCoder encodeObject:self.mCoverPhoto forKey:@"coverPhoto"];
    [aCoder encodeObject:self.mCoverPhotoURL forKey:@"coverPhotoURL"];
    [aCoder encodeObject:self.mPhotos forKey:@"photos"];
    [aCoder encodeObject:[NSNumber numberWithInteger:self.mPhotoCount] forKey:@"photoCount"];
    [aCoder encodeObject:[NSNumber numberWithInt:self.mSource] forKey:@"source"];
    [aCoder encodeObject:self.mCreatedDate forKey:@"createdDate"];
}

@end
