//
//  PhotoPageView.h
//  pCarousel
//
//  Created by Puran Singh on 7/4/12.
//  Copyright (c) 2012 32Skills. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "GMGridView.h"
#import "Photo.h"

@protocol GridViewDelegate2;

@interface PhotoPageView : GMGridView<GMGridViewDataSource, GMGridViewActionDelegate>
{
    NSMutableArray *_currentData;
}
@property (nonatomic, weak) id<GridViewDelegate2> delegate;
- (UIImage *)currentImage;
@end

@protocol GridViewDelegate2 <NSObject>
- (void)didSwipe;
- (void)didTapOnItemAtIndex:(NSInteger)position;
- (void)didTaponEmptySpace;
@end