//
//  PhotoStore.h
//  photoching
//
//  Created by Puran Singh on 7/19/12.
//  Copyright (c) 2012 32Skills. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "PhotoAlbum.h"
#import "Photo.h"

@interface PhotoStore : NSObject
@property (nonatomic, strong) Photo *activePhoto;
@property (nonatomic, strong) PhotoAlbum *activeAlbum;
@property (nonatomic, strong) NSMutableArray *selectedSources;

+ (PhotoStore *)store;
- (NSArray *)photos;
- (void)reverse;
- (void)shuffle;

- (void)setNewActiveAlbum:(PhotoAlbum *)activeAlbum;
@end
