//
//  SettingsButtonItem.m
//  Photo Plus
//
//  Created by Puran Singh on 8/10/12.
//  Copyright (c) 2012 32Skills. All rights reserved.
//

#import "SettingsButtonItem.h"

@implementation SettingsButtonItem

#pragma mark - Initialization

- (id)initWithTarget:(id)target action:(SEL)action {
    UIButton *settingsButton = [UIButton buttonWithType:UIButtonTypeCustom];
    
    self = [super initWithCustomView:settingsButton];
    if (self) {
        [settingsButton setBackgroundImage:[UIImage imageNamed:@"buttonSettings.png"] forState:UIControlStateNormal];
        [settingsButton addTarget:target action:action forControlEvents:UIControlEventTouchUpInside];
        [settingsButton setFrame:CGRectMake(0.0f, 0.0f, 35.0f, 32.0f)];
        [settingsButton setImage:[UIImage imageNamed:@"buttonImageSettings.png"] forState:UIControlStateNormal];
        [settingsButton setImage:[UIImage imageNamed:@"buttonImageSettingsSelected.png"] forState:UIControlStateHighlighted];
    }
    
    return self;
}
@end

