//
//  ImageDownloader.m
//  spacemonkey
//
//  Created by Puran Singh on 6/3/12.
//  Copyright (c) 2012 Shutterfly. All rights reserved.
//

#import "ImageDownloader.h"

#define IMAGE_CACHE_COST 200

@implementation ImageDownloader

@synthesize mImageType;

//TODO: for now cache everything in documents directory
-(NSString*) cacheDirectoryName {    
    NSArray *paths = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES);
    NSString *documentsDirectory = [paths objectAtIndex:0];
    NSString *cacheDirectoryName = [documentsDirectory stringByAppendingPathComponent:@"Images"];
    return cacheDirectoryName;
}

-(int) cacheMemoryCost {   
    return IMAGE_CACHE_COST;
}

@end
