//
//  LoadingView.m
//  pCarousel
//
//  Created by Puran Singh on 6/27/12.
//  Copyright (c) 2012 32Skills. All rights reserved.
//

#import "LoadingView.h"
#import <QuartzCore/QuartzCore.h>

@implementation LoadingView
@synthesize busyIndicator;

- (id)initWithCoder:(NSCoder *)aDecoder
{
    self = [super initWithCoder:aDecoder];
    if (self) {
            self.layer.cornerRadius = 5.0f;
        self.clipsToBounds = YES;
    }
    return self;
}

- (void)start
{
    [self.busyIndicator startAnimating];
    self.hidden = NO;
}

- (void)stop
{
    [self.busyIndicator stopAnimating];
    self.hidden = YES;
}

@end
