//
//  MenuViewController.h
//  Photo Plus
//
//  Created by Puran Singh on 7/21/12.
//  Copyright (c) 2012 32Skills. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol MenuDelegate;

@interface MenuViewController : UIViewController
@property (strong, nonatomic) IBOutlet UIButton *iPhoneButton;
@property (nonatomic, weak) id<MenuDelegate> delegate;
@property (nonatomic, assign) BOOL open;
@property (strong, nonatomic) IBOutlet UIButton *facebookButton;
@property (strong, nonatomic) IBOutlet UIButton *instagramButton;
@property (strong, nonatomic) IBOutlet UIButton *favoriteButton;
@property (strong, nonatomic) IBOutlet UIButton *dropboxButton;

- (IBAction)iPhoneButtonClicked:(id)sender;
- (IBAction)facebookButtonClicked:(id)sender;
- (IBAction)instagramButtonClicked:(id)sender;
- (IBAction)favoriteBtnClicked:(id)sender;
- (IBAction)dropBoxButtonClicked:(id)sender;

- (void)markSelected:(NSString *)source;

@end

@protocol MenuDelegate <NSObject>
- (void)menuSelected:(NSString *)action enable:(BOOL)enable sender:(UIButton *)sender;

@end
