//
//  SflyPhotoAlbum.h
//
//  Created by Puran Singh on 5/10/12.
//  Copyright (c) 2012 Shutterfly Inc. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Photo.h"

@interface PhotoAlbum : NSObject <NSCoding>

@property(nonatomic, strong) NSString       *mAlbumID;
@property(nonatomic, strong) NSString       *mAlbumName;
@property(nonatomic, strong) NSURL          *mAlbumURL;
@property(nonatomic, strong) NSDate         *mCreatedDate;
@property(nonatomic, strong) UIImage        *mCoverPhoto;
@property(nonatomic, strong) NSString       *mCoverPhotoURL;
@property(nonatomic, assign) PhotoSource    mSource;
@property(nonatomic, strong) NSMutableArray *mPhotos;
@property(nonatomic, assign) NSInteger      mPhotoCount;

@end
