//
//  PhotoGridView.h
//  pCarousel
//
//  Created by Puran Singh on 7/4/12.
//  Copyright (c) 2012 32Skills. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "GMGridView.h"
#import "Photo.h"

@protocol GridViewDelegate;

@interface PhotoGridView : UIView <GMGridViewDataSource, GMGridViewTransformationDelegate, GMGridViewActionDelegate>
{
    __gm_weak GMGridView *_gmGridView;
    NSMutableArray *_currentData;
    BOOL shuffle;
}
@property (nonatomic, weak) id<GridViewDelegate> delegate;
- (void)reloadData:(BOOL)shuffle;
- (UIView *)viewAtIndex:(NSInteger)position;
@end

@protocol GridViewDelegate <NSObject>

- (void)didTapOnItemAtIndex:(NSInteger)position;
- (void)didTaponEmptySpace;
@end